Page MenuHomePhabricator

Python 2.6 using cryptography package 0.8.2
Closed, ResolvedPublic

Description

The cryptography package 0.9+ __init__ emits a DeprecationWarning

Python 2.6 is no longer supported by the Python core team, please upgrade your Python.

This causes our tests to fail, as they check for 'deprecation' in the output of pwb tests, and some tests assert that there was only 'one deprecation message' after calling one of the deprecated pywikibot functions.

While this message is annoying, the maintainers continue to support Python 2.6, with many test builds, and they have rejected a request to remove those test builds. See https://github.com/pyca/cryptography/issues/2060

T103769 implemented a workaround for Python 2.6 which pinned the cryptography version to 0.8.2. This will mean Python 2.6 users will face unusual problems connecting to some https servers, due to bugs that have been fixed in cryptography v0.9+, and possibly even security bugs.

Another solution needs to be found.

Event Timeline

jayvdb created this task.Aug 5 2015, 4:54 PM
jayvdb raised the priority of this task from to High.
jayvdb updated the task description. (Show Details)
jayvdb added a subscriber: VcamX.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptAug 5 2015, 4:54 PM
jayvdb moved this task from Backlog to requests on the Pywikibot-OAuth board.Aug 20 2015, 8:42 AM
jayvdb moved this task from Backlog to requests on the Pywikibot-network board.Aug 28 2015, 4:15 AM
XZise claimed this task.Sep 25 2015, 11:30 PM

Change 241251 had a related patch set uploaded (by XZise):
[IMPROV] Don't limit cryptography module on 2.6

https://gerrit.wikimedia.org/r/241251

Change 241251 merged by jenkins-bot:
[IMPROV] Don't limit cryptography module on 2.6

https://gerrit.wikimedia.org/r/241251

jayvdb closed this task as Resolved.Sep 26 2015, 12:02 AM
jayvdb added a subscriber: jayvdb.